package svc

import (
	"applet/app/db/model"
	"time"
	"xorm.io/xorm"
)

func OrderCancel(eg *xorm.Engine, dbName string) {
	date := time.Now().Unix() - 900
	eg.Where("state=0 and create_at<?", time.Unix(date, 0).Format("2006-01-02 15:04:05")).Cols("state").Update(&model.CommunityTeamOrder{State: 3, CancelAt: time.Now()})
	return
}
